org.firebirdsql.gds.ng.wire.auth.srp

## Class Srp256AuthenticationPluginSpi

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.auth.srp.AbstractSrpAuthenticationPluginSpi
  - - org.firebirdsql.gds.ng.wire.auth.srp.Srp256AuthenticationPluginSpi

All Implemented Interfaces:
  AuthenticationPluginSpi

    public class Srp256AuthenticationPluginSpi
    extends AbstractSrpAuthenticationPluginSpi

Srp256 authentication plugin service provider.

Since:
  3.0.5
Author:
  Mark Rotteveel

### Field Summary

Fields
`static java.lang.String` `SRP_256_AUTH_NAME`

### Constructor Summary

Constructors
Constructor and Description
`Srp256AuthenticationPluginSpi()`

### Method Summary

### Methods inherited from class org.firebirdsql.gds.ng.wire.auth.srp.AbstractSrpAuthenticationPluginSpi

`createPlugin, getPluginName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SRP_256_AUTH_NAME

    public static final java.lang.String SRP_256_AUTH_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### Srp256AuthenticationPluginSpi

    public Srp256AuthenticationPluginSpi()
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`